/********************************************************
  Check state of pokes and set "ratio_Met" to true if it's time to dispense
********************************************************/
void readPokes() {
  //Only read from the pokes if the pokes are both empty
  if (digitalRead(activePoke) == HIGH && digitalRead(inactivePoke) == HIGH  && digitalRead (drinkPin) == HIGH) {
    delay (200);  //simple debounce
    if (digitalRead(activePoke) == HIGH && digitalRead(inactivePoke) == HIGH && digitalRead (drinkPin) == HIGH) {
      activeReady = true;
      inactiveReady = true;
      centerReady = true;
      digitalWrite(LED, LOW);
    }
  }

  if (activeReady == true && inactiveReady == true && centerReady == true) {

    /********************************************************
      Magazine training
    ********************************************************/
    if (mode == 1) {
      ratio_Met = true;
    }

    /********************************************************
      FR1 training
    ********************************************************/
    if (mode == 2) { // FR1 session
      if (digitalRead(activePoke) == LOW) {  //if poke is triggered
        activePokes += 1;
        ratio_Met = true;
        activeReady = false;
        digitalWrite(LED, HIGH);
      }

      if (digitalRead(inactivePoke) == LOW) {  //if poke is triggered
        inactivePokes += 1;
        inactiveReady = false;
      }

      if (digitalRead(drinkPin) == LOW) {  //if poke is triggered
        centerPokes += 1;
        centerReady = false;
      }
    }

    /********************************************************
      FR5 training
    ********************************************************/
    if (mode == 3) { // FR5 session
      if (digitalRead(activePoke) == LOW) {  //if poke is triggered
        activePokes += 1;
        if (activePokes % 5 == 0) {
          ratio_Met = true;
        }
        activeReady = false;
        digitalWrite(LED, HIGH);
      }

      if (digitalRead(inactivePoke) == LOW) {  //if poke is triggered
        inactivePokes += 1;
        inactiveReady = false;
      }

      if (digitalRead(drinkPin) == LOW) {  //if poke is triggered
        centerPokes += 1;
        centerReady = false;
      }
    }

    /********************************************************
          Progressive Ratio
        ********************************************************/
    if (mode == 4)  { //Prog Ratio
      if (digitalRead(activePoke) == LOW) {  //if poke is triggered
        activePokes += 1;
        if (activePokes >= ratio) ratio_Met = true;
        activeReady = false;
        digitalWrite(LED, HIGH);
      }

      if (digitalRead(inactivePoke) == LOW) {  //if poke is triggered
        inactivePokes += 1;
        inactiveReady = false;
      }

      if (digitalRead(drinkPin) == LOW) {  //if poke is triggered
        centerPokes += 1;
        centerReady = false;
      }
    }
  }
}
