/********************************************************
  ROBucket update 2.0
  This code written by Lex Kravitz based on a design by Kavya Devarakonda, published in 2016:
  Behav Res Methods. 2016 Jun;48(2):503-9
  https://www.ncbi.nlm.nih.gov/pubmed/26019006

  This code should be used with the Adafruit SD shield V2, and the instructions here:
  https://hackaday.io/project/161124-robucket

  This includes code from:
  *** Adafruit, who made the Feather boards and associated code ***

  This project is released under the terms of the Creative Commons - Attribution - ShareAlike 3.0 license:
  human readable: https://creativecommons.org/licenses/by-sa/3.0/
  legal wording: https://creativecommons.org/licenses/by-sa/3.0/legalcode
  Copyright (c) 2018 Lex Kravitz
  
********************************************************/

/********************************************************
  Setup code
********************************************************/
#include "a_header.h" //See "a_Header.h" for #defines and other constants 

void setup() {
  startUpCommands();
  modeSelect();
}

void loop() {
  updateDisplay();
  readPokes();
  if (ratio_Met) {
    dispense();
    timeout();
  }
}
