/********************************************************
  Include these libraries
********************************************************/
#include <Wire.h>
#include <SPI.h>
#include <LiquidCrystal.h>
#include <SD.h>
#include "RTClib.h"

/********************************************************
  Set variables
********************************************************/
#define activePoke A5
#define drinkPin A4
#define inactivePoke A3
#define solenoid A2
#define sugarAmt 100                    // open the solenoid for 50 ms (controls amount of sucrose solution)
#define LED 13
const int chipSelect = 10;

int timeOut = 1;                 // set the timeout period between pokes
int mode = 0;                          //Mode select: 1=mag training, 2=FR1, 3=FR5, 4=Progressive Ratio

bool drinkState = false;
bool ratio_Met = false;
bool activeReady = true;
bool inactiveReady = true;
bool centerReady= true;
int activePokes = 0;
int inactivePokes = 0;
int centerPokes = 0;
int rewards = 0;
int ratio = 1;

/********************************************************
  Set up LCD display
********************************************************/
LiquidCrystal lcd( 8, 9, 4, 5, 6, 7 );

/********************************************************
  Setup real time clock (RTC) object
********************************************************/
RTC_PCF8523 rtc;
char daysOfTheWeek[7][12] = {"Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"};

/********************************************************
   dateTime function to give the filename the correct date
********************************************************/
void dateTime(uint16_t* date, uint16_t* time) {
  DateTime now = rtc.now();
  // return date using FAT_DATE macro to format fields
  *date = FAT_DATE(now.year(), now.month(), now.day());

  // return time using FAT_TIME macro to format fields
  *time = FAT_TIME(now.hour(), now.minute(), now.second());
}
