/********************************************************
  Update screen and call function to log data
********************************************************/
void logData() {
  DisplaySDLogging();
  WriteToSD();
}

/********************************************************
  Log data
********************************************************/
void WriteToSD() {
  //put this next line *Right Before* any file open line:
  SdFile::dateTimeCallback(dateTime);

  /********************************************************
    Set file name - you can edit this before flashing to name the files by the device, ie: ROBucket2.CSV
  ********************************************************/
  File logfile = SD.open("ROBucket.CSV", FILE_WRITE);

  // if it's the first line of the session write a header line to the file
  if (rewards == 1) {
    logfile.print("MM:DD:YYYY hh:mm:ss, FR_Ratio, Active, Inactive, Center, Rewards, Session Type: ");
    if (mode == 1)  {
      logfile.println("Magazine Training");
    }
    if (mode == 2)  {
      logfile.println("Fixed Ratio 1");
    }
    if (mode == 3)  {
      logfile.println("Fixed Ratio 5");
    }
    if (mode == 4)  {
      logfile.println("Progressive Ratio");
    }
  }

  DateTime now = rtc.now();

  if (logfile) {
    logfile.print(now.month());
    logfile.print("/");
    logfile.print(now.day());
    logfile.print("/");
    logfile.print(now.year());
    logfile.print(" ");
    logfile.print(now.hour());
    logfile.print(":");
    if (now.minute() < 10)
      logfile.print('0');      // Trick to add leading zero for formatting
    logfile.print(now.minute());
    logfile.print(":");
    if (now.second() < 10)
      logfile.print('0');      // Trick to add leading zero for formatting
    logfile.print(now.second());
    logfile.print(",");

    if (mode == 4) {
      logfile.print(ratio); // Print current PR ratio
      logfile.print(",");
    }

    else if (mode == 1) {
      logfile.print("MAG"); // Print ratio
      logfile.print(",");
    }

    else {
      logfile.print(ratio); // Print ratio
      logfile.print(",");
    }

    logfile.print(activePokes); // Print Left poke count
    logfile.print(",");

    logfile.print(inactivePokes); // Print Right poke count
    logfile.print(",");

    logfile.print(centerPokes); // Print Center poke count
    logfile.print(",");

    logfile.print(rewards); // print pellet counts
    logfile.println(",");
    logfile.close();
    Serial.println("Data logged");
    Serial.println();
  }
}

/********************************************************
  Display SD card error
********************************************************/
void error(uint8_t errno) {
 // DisplaySDError();
}
